package notice.controller.service;

import java.util.Date;
import java.util.HashMap;
import java.util.Vector;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import jp.co.intra_mart.framework.base.service.RequestException;
import jp.co.intra_mart.framework.base.service.ServiceControllerAdapter;
import jp.co.intra_mart.framework.base.service.ServiceResult;
import jp.co.intra_mart.framework.base.session.SessionObject;
import jp.co.intra_mart.framework.system.exception.ApplicationException;
import jp.co.intra_mart.framework.system.exception.SystemException;

/**
 * @author NTTDATA intra-mart
 *
 * fo^T[rXRg[[łB
 */
public class NoticeRegistServiceController extends ServiceControllerAdapter {

	/**
	 * ftHgRXgN^
	 */
	public NoticeRegistServiceController() {
		super();
	}

    /**
     * ͂ɑ΂鏈s܂B
     *
     * @return 
     * @throws SystemException sɃVXeO
     * @throws ApplicationException sɃAvP[VO
     */
	public ServiceResult service() throws SystemException, ApplicationException {
		HttpServletRequest request = getRequest();
		String title;
		String content;
		String author;
		Date date;
		
		// ZbVIuWFNg̎擾
		HttpSession session = request.getSession(false);
		
		// null`FbN
		if(session == null){
			return null;
		}
		
		// f[^̏
		Vector notice = new Vector();
		HashMap data = new HashMap();
		
		// ZbVIuWFNgɕۑĂf̎擾
		notice = (Vector)session.getAttribute("tutorial_notice_info");
		
		// nullAĂƂ́Afo^p̃IuWFNg
		// 
		if(notice == null){
			notice = new Vector();
		}
		
		// NGXg񂩂o^f擾
		title = request.getParameter("title");
		content = request.getParameter("content");
		author = getUserInfo().getUserID();
		date = new Date();
		
		// f[^IuWFNgɌfZbg
		data.put("title",title);
		data.put("content",content);
		data.put("author",author);
		data.put("date",date);
		
		notice.add(data);
		
		// ZbVIuWFNgɌfēo^
		session.setAttribute("tutorial_notice_info",notice);

		return null;
	}

}
