package notice.view.bean;

import java.io.Serializable;
import java.util.Date;
import java.util.Vector;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import jp.co.intra_mart.framework.base.web.bean.HelperBean;
import jp.co.intra_mart.framework.base.web.bean.HelperBeanException;

/**
 * @author NTTDATA intra-mart
 *
 * f\pBeanł
 */
public class NoticeViewBean extends HelperBean implements Serializable {
    private Vector notices;
    
    public NoticeViewBean() throws HelperBeanException{
        super();
        
        this.notices = null;
    }
    
    public void init() throws HelperBeanException{
        HttpServletRequest request = getRequest();
        
        int i;
        
        String title;
        String author;
        Date date;
        String content;
        
        // f
        notices = new Vector();
        
        // ZbVIuWFNg̎擾
        HttpSession session = request.getSession();
        
        // null`FbN
        if(session == null){
            return;
        }
        
        // ZbV񂩂̌f̎擾
        try {
            notices = (Vector)session.getAttribute("tutorial_notice_info");
        } catch (IllegalStateException e) {
            throw new HelperBeanException();
        }
        
        if(notices == null){
            // f񂪃ZbgĂȂƂ
            notices = new Vector();
        }
    }
    
    /**
     * fԋp܂
     * @return Vector f
     */
    public Vector getNotices() {
        return notices;
    }

    /**
     * fZbg܂
     * @param notices Zbgf
     */
    public void setNotices(Vector notices) {
        this.notices = notices;
    }
}
