package notice.controller.service;

import java.util.Date;
import javax.servlet.http.HttpServletRequest;

import notice.model.event.NoticeRegistEvent;
import notice.model.object.NoticeInf;

import jp.co.intra_mart.framework.base.service.RequestException;
import jp.co.intra_mart.framework.base.service.ServiceControllerAdapter;
import jp.co.intra_mart.framework.base.service.ServiceResult;
import jp.co.intra_mart.framework.base.util.UserInfo;
import jp.co.intra_mart.framework.system.exception.ApplicationException;
import jp.co.intra_mart.framework.system.exception.SystemException;

/**
 * @author NTTDATA intra-mart
 *
 * fo^T[rXRg[[łB
 */
public class NoticeRegistServiceController extends ServiceControllerAdapter {

    /**
     * ftHgRXgN^
     */
    public NoticeRegistServiceController() {
        super();
    }
    
    /**
     * ͓eɑ΂`FbNs܂
     *
     * @throws RequestException NGXgeɌ肪Ƃɔ
     * @throws SystemException sɃVXeO
     */
    public void check() throws RequestException, SystemException{
        // NGXg̎擾
        HttpServletRequest request = getRequest();
        
        String title;
        String content;
        
        // ^CgƓe̎擾
        title = request.getParameter("title");
        content = request.getParameter("content");
        
        if(title.equals("")){
            // ^Cg󕶎̎́ARequestException
            // X[
            throw new RequestException("^Cgɉ͂Ă");
        }
        
        if(content.equals("")){
            // e󕶎̎́ARequestException
            // X[
            throw new RequestException("eɉ͂Ă");
        }
    }
    
    
    /**
     * ͂ɑ΂鏈s܂B
     *
     * @return 
     * @throws SystemException sɃVXeO
     * @throws ApplicationException sɃAvP[VO
     */
    public ServiceResult service() throws SystemException, ApplicationException {
        HttpServletRequest request = getRequest();
        String title;
        String content;
        UserInfo author;
        Date date;
        
        // fo^p̃CX^X̏
        NoticeInf notice = new NoticeInf();
        
        // NGXg񂩂o^f擾
        title = request.getParameter("title");
        author = getUserInfo();
        date = new Date();
        content = request.getParameter("content");
        
        // f쐬
        notice.setTitle(title);
        notice.setAuthor(author.getUserID());
        notice.setRegistDate(date);
        notice.setContent(content);
        
        // CxǧĂяo
        NoticeRegistEvent event = (NoticeRegistEvent)createEvent("notice.conf.notice", "notice_regist");
        // Cxgւ̌f̓o^
        event.setNotice(notice);
        // Cxg̎s
        dispatchEvent(event);
        
        return null;
    }

}
