package notice.model.event;

import java.util.Vector;

import notice.model.data.NoticeDAOIF;

import jp.co.intra_mart.framework.base.event.Event;
import jp.co.intra_mart.framework.base.event.EventResult;
import jp.co.intra_mart.framework.base.event.StandardEventListener;
import jp.co.intra_mart.framework.system.exception.ApplicationException;
import jp.co.intra_mart.framework.system.exception.SystemException;

/**
 * @author NTTDATA intra-mart
 *
 * f擾CxgXi[
 */
public class NoticeViewEventListener extends StandardEventListener {

    /**
     * ftHgRXgN^
     */
    public NoticeViewEventListener() {
        super();
    }

    /**
     * Cxgs
     */
    protected EventResult fire(Event event)
                            throws SystemException, ApplicationException {
        Vector notices;
        NoticeDAOIF dao;
        NoticeViewEventResult eventResult = new NoticeViewEventResult();
        
        // DAO̎擾
        dao = (NoticeDAOIF)getDAO("notice.conf.notice", "notice_inf", event.getUserInfo().getLoginGroupID());
        
        // f̎擾
        notices = dao.select();
        
        // CxgUgւ̓o^
        eventResult.setNotices(notices);
        
        return eventResult;
    }

}
